function _pf(){}
function $rf(){}
function krf(a){this.a=a}
function wrf(a){this.a=a}
function trf(a,b){Zpf(a.a,b)}
function srf(a,b){Zpf(a.c,b)}
function Zpf(a,b){wef(a.a,b)}
function urf(){jZd.call(this)}
function rrf(a){yef(a.a.a);yef(a.c.a)}
function hsf(a){var b;if(!a.g){b=new urf;a.g=b}return a.g}
function erf(a){var b;rrf(a.A);b=GAh(a.a,sef(),hM(e1c,ixj,1,[]));A7i(q7i(b,eGj),d_j);I7i(q7i(b,e_j),true);nnj(new Gmj(b),new krf(a))}
function frf(a,b,d,e,g){Q8d.call(this,a,b,d,e);this.c=g;this.a=(new S_i(JXb,(RAh(),MAh).Nc(JXb),QAh.Nc(JXb))).a;this.b=new f0i(JXb)}
function Zrf(a){var b;b=hM(A1c,bxj,196,[new uff(KXj,'Application Failures'),new uff(MXj,'Resource Failures')]);WXd();a.a=Fef(new Gef('Failure Origin',A_j),b);return xef(a.a)}
function gsf(a){var b;if(!a.f){b=new frf(_Ed(Ube(a.a)),hsf(a),fsf(a),(Rnj(Ade(a.a)),Uoj(Cde(a.a))),(T0i(yde(a.a)),VLg(Oce(a.a))));lFd((Vbe(a.a),b),iGd(Vbe(a.a)));a.f=b}return a.f}
function $pf(a){var b,d;d=new uff(DXj,'Number of Transactions');b=hM(A1c,bxj,196,[(d.c=true,d),gff(new uff(FXj,'Commited'),d),gff(new uff(HXj,'Aborted'),d),gff(new uff(BXj,'Timed Out'),d)]);WXd();a.a=Fef(new Gef('Success Ratio',A_j),b);return xef(a.a)}
function jrf(a,b){var d,e;e=hnj(b);if(e.b.iN(BGj)&&q7i(e,BGj).b.b!=(Klj(),Jlj)&&!_Od(q7i(e,BGj).b.$e(),CGj)){cd('Failed to load TX metrics: '+s7i(e))}else{d=X_i(a.a.b,q7i(e,nGj));trf(a.a.A,new oef(hM(i0c,axj,-1,[d.OF(),d.IF(),d.GF(),d.NF()])));srf(a.a.A,new oef(hM(i0c,axj,-1,[d.HF(),d.MF()])))}}
n3c(2697,1,{},_pf);_.a=null;n3c(2719,1403,hyj,frf);_.Ri=function(){this.A.b=this;P8d(this,Oyh(xde((WXd(),UXd).a)))};_.Wi=function(){erf(this)};_.$i=function(){avf(this.c,this)};n3c(2721,1657,{},krf);_.eh=function(a){jrf(this,a)};n3c(2724,1210,Qyj,urf);_.Bh=function(){var a,b;b=new nnd(F_j);zz((Ufd(),b.gb),G_j);b.gb.style[YBj]=(FC(),fCj);b.gb.style[bCj]=-80+(BD(),JAj);b.gb.style[H_j]=j1j;ZA(b.gb.style,vB());b.gb.style[aCj]=k1j;xr(b,(WXd(),'refreshBtnTXMetricViewImp'));b.th(new wrf(this));this.a=new _pf;this.c=new $rf;a=ZBe(ZBe(ZBe(aCe(bCe(eCe(new gCe,I4j),M4j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),Gzj,b),'Executions',$pf(this.a)),'Rollbacks',Zrf(this.c));return $Be(a)};n3c(2725,1,vxj,wrf);_.ie=function(a){erf(this.a.b)};n3c(2732,1,{},$rf);_.a=null;n3c(2737,1,Pyj);_.qd=function(){JGd(this.b,gsf(this.a.a))};var jvb=DNd(2719),gvb=DNd(2721),lvb=DNd(2724),kvb=DNd(2725),Lub=DNd(2697),uvb=DNd(2732);Bzj(hp)(75);